Page MenuHomePhabricator

Wikistats: Several wikis are absent from the wiki-table export
Closed, ResolvedPublic

Description

Example:

Note:

  • The total number of wikis in the HTML version is 924 but the number of wikis in the wiki table version is 902
  • This means that there are 22 wikis missing in the wiki-table version.
  • Also, note that the statistics of the wiki-table version are up to date (last updated yesterday 6 October), but it does not include recently created wikis.

Request:

  • Please add the recently created wikis to the wiki-table version. Thank you.

Related Objects

Event Timeline

Meno25 created this task.Oct 7 2020, 4:57 PM
Restricted Application added subscribers: alaa, Aklapper. · View Herald TranscriptOct 7 2020, 4:57 PM
Meno25 updated the task description. (Show Details)Oct 7 2020, 4:59 PM

@Meno25 the query in (wikimedias_wiki.php) and (wikimedias_csv.php) is missing the (wikivoyage), the wikivoyage are exactly 22 wiki!

Meno25 added a comment.Oct 8 2020, 8:28 AM

@Meno25 the query in (wikimedias_wiki.php) and (wikimedias_csv.php) is missing the (wikivoyage), the wikivoyage are exactly 22 wiki!

Thank you for your comment. Yes, I can see this now. The code of wikimedias_wiki.php and wikimedias_csv.php does not include Wikivoyage. But since this table includes all Wikimedia wikis, so, it should include it. Could you, please, add Wikivoyage to the code?

Note: In config.php, $goodversions and $devversions use MediaWiki 1.18alpha till 1.22.0. We are on MediaWiki 1.36 now, so, maybe you would want to update this list also.

Change 632892 had a related patch set uploaded (by HitomiAkane; owner: HitomiAkane):
[operations/debs/wikistats@master] Adding 'wikivoyage' to csv and wiki table and adding MediaWiki 1.36 to '$goodversions'

https://gerrit.wikimedia.org/r/632892

@Meno25 I've uploaded the patch, need to be reviewed and tested, this may need a whitelisted user the test to start

Meno25 awarded a token.Oct 8 2020, 9:21 AM
Dzahn added a subscriber: Dzahn.Oct 10 2020, 12:29 AM

Change 632892 merged by Dzahn:
[operations/debs/wikistats@master] Adding 'wikivoyage' to csv and wiki table and adding MediaWiki 1.36 to '$goodversions'

https://gerrit.wikimedia.org/r/632892

Dzahn added a comment.Oct 10 2020, 1:40 AM

Thank you very much for the fixes. Yes, wikivoyage was missing and has now been added.

Both wiki syntax and HTML table now show 924 wikis.

Also I noticed i was a member but not a watcher of this project. I fixed this now.

Dzahn closed this task as Resolved.Oct 10 2020, 1:43 AM
Dzahn claimed this task.

Also MW version 1.36 is now recognized as good version and colored green.

Let me know if you see remaining issues. Thanks again for reporting and providing the patch as well, much appreciated:)

Thank you very much for the fixes. Yes, wikivoyage was missing and has now been added.

Both wiki syntax and HTML table now show 924 wikis.

Also I noticed i was a member but not a watcher of this project. I fixed this now.

Thank you @Dzahn, also CSV show 924 wikis now.

Dzahn awarded a token.Oct 10 2020, 8:15 AM